@import "./colors.module.scss";
.main_container {
  .container {
    width: 80%;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 100px 0;
    gap: 120px;
    max-width: 1500px;
    @media (max-width: 598px) {
      gap: 90px;
      padding: 80px 0;
    }

    .skills {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      gap: 100px;
      @media (max-width: 598px) {
        gap: 75px;
      }
      .skill_cards {
        display: flex;
        gap: 30px;

        .skill {
          background-color: $bg-dark;
          width: 150px;
          height: 150px;
          display: flex;
          align-items: center;
          justify-content: center;
          border-radius: 4px;
          flex-direction: column;
          box-shadow: rgb(35, 189, 149, 0.1) 0px 7px 29px 0px;
          gap: 7px;
          @media screen and (min-width: 900px) and (max-width: 1240px) {
            width: 120px;
            height: 120px;
          }
          @media screen and (min-width: 767px) and (max-width: 899px) {
            width: 100px;
            height: 100px;
            gap: 5px;
            .skill_icon {
              width: 35px !important;
              height: 35px !important;
            }
          }
          @media (max-width: 766px) {
            width: 80px;
            height: 80px;
            gap: 5px;
            .skill_icon {
              width: 30px !important;
              height: 30px !important;
            }
          }
          &:nth-child(2),
          &:nth-child(4) {
            transform: scale(1.3);
            margin: 0 20px;
          }
          &:nth-child(1),
          &:nth-child(5) {
            transform: scale(0.9);
            margin: 0 -20px;
            @media (max-width: 598px) {
              display: none;
            }
          }
          &:nth-child(3) {
            transform: scale(1.6);
            margin: 0 35px;
            @media screen and (min-width: 900px) and (max-width: 1240px) {
              margin: 0 25px !important;
            }
            @media screen and (min-width: 767px) and (max-width: 899px) {
              margin: 0 16px !important;
            }
            @media screen and (min-width: 599px) and (max-width: 766px) {
              margin: 0 8px !important;
            }
            @media (max-width: 598px) {
              margin: 0 !important;
              transform: scale(1.7) !important;
            }
          }
          .skill_icon {
            width: 50px;
            height: 50px;
          }
          p {
            font-size: 12px;
            @media (max-width: 899px) {
              font-size: 9px;
            }
          }
        }
      }
      .buttons {
        display: flex;
        gap: 30px;
        .button_icon {
          font-size: 50px;
          color: $light-green;

          &:hover {
            cursor: pointer;
            border-radius: 50%;
            box-shadow: rgb(35, 189, 149, 0.2) 0px 7px 29px 0px;
          }
        }
      }
    }
  }
}
